@require './assets/stylesheets/global';
@require './assets/stylesheets/helpers/clickable.styl';

.button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin-top: $medium-spacing;
  width: 100%;
  clickable();
}

.title {
  font-size: $font-large;
  margin-bottom: $medium-spacing;

  &::before {
    content: "[ ";
    color: $purple;
  }

  &::after {
    content: " ]";
    color: $purple;
  }
}

.section {
  margin-bottom: $huge-spacing;
}

.progressTitle{
  margin-bottom: $small-spacing;
}

.progressDetails{
  margin-bottom: $medium-spacing;
}

.progress {
  position: relative;
  display: inline-flex;
  width 100%;
  height: $medium-spacing;

  .bar {
    display: flex;
    width: 0;
    background: $purple;
  }

  .fragment {
    z-index: -1;
    height: 100%;
    position: absolute;
    border: 1px solid $darkgray;
    background: $mediumgray;
  }
}

.dropdown {
  width: 250px;
  margin-bottom: $small-spacing;

  .control, .menu{
    border-radius: 9999px;
  }

  .menu{
    margin-top: -3px;

    & > :global(.is-selected) {
      background: $purple;
      color: #FFF;
    }
  }
}